# Note: we TEMPORARILY pin older (previous as of end of spring 2024) Alpine version:
# Alpine 3.20 disables aws-cli package because it is not compatible with Python 3.12
# - https://wiki.alpinelinux.org/wiki/Release_Notes_for_Alpine_3.20.0#aws-cli
# - https://github.com/aws/aws-cli/issues/8342
# Switching "back" to `node:lts-alpine` is fine once this is fixed.
FROM node:lts-alpine3.19

RUN set -ex; \
  apk add --no-cache \
  aws-cli \
  build-base \
  bzip2 \
  curl \
  docker \
  fontconfig \
  git \
  make \
  yarn
